Subject: Re: [RFH] QGit: how to cram a patch in a crowded screen

From: Jan Hudec <[email-masked]>
Date: Sun, 27 May 2007 17:38:52 +0200

On Sat, May 26, 2007 at 22:44:28 +0200, Marco Costalba wrote:
> On 5/26/07, Andy Parkins <[email-masked]> wrote:
> >
> >For example, the log view widget would show:
> >
> ><Header>
> ><Log Message>
> ><Patch>
> >
> >All visually distinct to improve searching by eye (perhaps including
> >clear separators between files patched).  Then the file list could
> >include a "<header>" psuedo-file that would jump back to the top of the
> >viewer.
> 
> This seems really gitk like. Not that I don' t like it, but _if_ it's
> possible I would prefer something a little bit more original.

IMHO there's no point in being original. The gitk way works well, because it
requires only one action -- scrolling -- throughout reading of the whole
commit (description + patch). With any kind of tabs, there's always an extra
action for switching.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>